> ## Documentation Index
> Fetch the complete documentation index at: https://docs.extractor.live/llms.txt
> Use this file to discover all available pages before exploring further.

# search syslog

> Search A3 entity syslog by params



## OpenAPI

````yaml /openapi.json post /api/v1/syslog/organisation/{id}/search
openapi: 3.0.3
info:
  title: Extractor Project (dev)
  version: 0.0.649
servers: []
security: []
paths:
  /api/v1/syslog/organisation/{id}/search:
    post:
      tags:
        - Syslog Route
      summary: search syslog
      description: Search A3 entity syslog by params
      parameters:
        - name: id
          in: path
          required: true
          schema:
            format: int64
            type: integer
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OsQuerySearchRequestDto'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginationDtoSyslogEventDto'
      security:
        - SecurityScheme: []
components:
  schemas:
    OsQuerySearchRequestDto:
      type: object
      properties:
        from:
          format: int32
          description: Starting document offset
          default: 0
          minimum: 0
          type: integer
          example: 0
        size:
          format: int32
          description: The number of hits to return
          default: 10
          maximum: 10000
          minimum: 0
          type: integer
          example: 10
        query:
          description: >-
            Query string according to
            https://www.elastic.co/guide/en/elasticsearch/reference/current/query-dsl-query-string-query.html
            with Default: auto_generate_synonyms_phrase_query=false,
            fuzzy_max_expansions=0, fuzzy_transpositions=false
          type: string
          example: address:0xdAC17F958D2ee523a2206206994597C13D831ec7
        timeseries:
          description: Timestamp ranges for search indices calculation
          minItems: 1
          type: array
          items:
            $ref: '#/components/schemas/OsIndexRangeDto'
        trackTotalCount:
          format: int32
          description: >-
            Return total results up to 'count' value. If 0, then total tracking
            is disabled and return total=0
          default: 10000
          type: integer
        sort:
          description: Sorting for the search
          minItems: 1
          type: array
          items:
            $ref: '#/components/schemas/OsSortDto'
    PaginationDtoSyslogEventDto:
      type: object
      properties:
        data:
          description: Response data
          type: array
          items:
            $ref: '#/components/schemas/SyslogEventDto'
        total:
          format: int64
          description: Total amount of document available for this request
          type: integer
    OsIndexRangeDto:
      required:
        - from
        - to
      type: object
      properties:
        from:
          format: int64
          description: From millis timestamp for search indices calculation
          minimum: 0
          type: integer
        to:
          format: int64
          description: To millis timestamp for search indices calculation
          minimum: 0
          type: integer
    OsSortDto:
      required:
        - field
      type: object
      properties:
        field:
          description: Field name for sorting
          pattern: \S
          type: string
          example: timestamp
        mode:
          description: >-
            Used for array values sorting. The mode option controls what array
            value is picked for sorting the document it belongs to Default:
            ascending sort order is Min, descending order is Max
          type: string
          allOf:
            - $ref: '#/components/schemas/SortMode'
        order:
          description: 'Order for the sorting. Default: Asc'
          type: string
          allOf:
            - $ref: '#/components/schemas/SortOrder1'
    SyslogEventDto:
      type: object
      properties:
        index:
          type: string
        uid:
          type: string
        timestamp:
          format: int64
          type: integer
        correlationId:
          type: string
        externalId:
          type: string
        type:
          type: string
        status:
          type: string
        level:
          type: string
        scope:
          type: string
        tags:
          type: array
          items:
            type: string
        data:
          $ref: '#/components/schemas/EntityData'
    SortMode:
      enum:
        - Min
        - Max
        - Sum
        - Avg
        - Median
      type: string
    SortOrder1:
      enum:
        - Asc
        - Desc
      type: string
    EntityData:
      type: object
      properties:
        uid:
          type: string
        uname:
          type: string
        eid:
          type: string
        type:
          type: string
        op:
          $ref: '#/components/schemas/OperationType'
        obj: {}
        tid:
          type: string
        oid:
          type: string
    OperationType:
      enum:
        - CREATE
        - DELETE
        - UPDATE
        - PAUSE
        - WITHDRAW
        - LOGIN
      type: string
  securitySchemes:
    SecurityScheme:
      type: http
      description: Authentication
      scheme: bearer
      bearerFormat: JWT

````